Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.netuix.util
Enum DesktopType.DesktopTypeValue

    java.lang.Object
      java.lang.Enum<DesktopType.DesktopTypeValue>
          com.bea.netuix.util.DesktopType.DesktopTypeValue

All Implemented Interfaces
  Serializable, Comparable<DesktopType.DesktopTypeValue>

Enclosing class:
  DesktopType

    public static enum DesktopType.DesktopTypeValue

extends Enum<DesktopType.DesktopTypeValue>

Enum Constant Summary
`COMMUNITY` Represents a desktop that is associated with a `community`.
`NORMAL` Represents a regular desktop, one that is not associated with a `community`.

Method Summary
`static DesktopType.DesktopTypeValue` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DesktopType.DesktopTypeValue[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NORMAL

    public static final DesktopType.DesktopTypeValue NORMAL

  Represents a regular desktop, one that is not associated with a `community`.

### COMMUNITY

    public static final DesktopType.DesktopTypeValue COMMUNITY

  Represents a desktop that is associated with a `community`.

Method Detail

### values

    public static final DesktopType.DesktopTypeValue[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static DesktopType.DesktopTypeValue valueOf(String name)

  Returns the enum constant of this type with the specified name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved